
Foreman - Bug #2325

No A record created in domain when provisioning an ec2 vm

03/14/2013 08:35 PM - Anonymous

Status: Closed   

Priority: Normal   

Assignee: Ohad Levy   

Category: DNS   

Target version: 1.2.0   

Difficulty:  Fixed in Releases:  

Triaged:  Found in Releases:  

Bugzilla link:  Red Hat JIRA:  

Pull request:    

Description

When I provision a new vm in ec2 and I choose a domain on my Foreman server no CNAME or A record is created. I see the

following output, which doesn't indicate anything is happening with DNS locally. It would be great to get a CNAME pointing at the

EC2 server name. Not sure why I need (or would be able) to select a domain if it's not going to set up a record.

If this ends up not being a bug I'd like to request as a feature that a CNAME be created.

new In Progress

completed - Settings up compute instance test2.ec2.devlab.redhat.com

completed - Acquiring IP address for test2.ec2.devlab.redhat.com

completed - Querying instance details for test2.ec2.devlab.redhat.com

completed - Preparing Post installation script for test2.ec2.devlab.redhat.com

running - Waiting for test2.ec2.devlab.redhat.com to come online

pending - Enable Certificate generation for test2.ec2.devlab.redhat.com

pending - Configuring instance test2.ec2.devlab.redhat.com via SSH

Associated revisions

Revision 3b6d1527 - 05/23/2013 10:04 AM - Ohad Levy

fixes #2325 No A record created in domain when provisioning image based vm

Revision 022c4060 - 05/28/2013 12:10 PM - Ohad Levy

fixes #2325 No A record created in domain when provisioning image based vm

(cherry picked from commit 3b6d152746d63444ce0ae2044cec4cbb8f224882)

History

#1 - 03/26/2013 11:30 AM - Anonymous

broken by:

https://github.com/theforeman/foreman/commit/8838eb42a2a292f50126966d3fa768edad3a237a

app/models/orchestration/dns.rb

-      !domain.nil? and !domain.proxy.nil? and managed?

+      name.present? and ip.present? and !domain.nil? and !domain.proxy.nil? and managed?

Reverting that change causes DNS records to get created for ec2 hosts again.

#2 - 03/28/2013 05:22 AM - Dominic Cleal

- Category set to DNS

- Target version set to 1.2.0

#3 - 05/23/2013 02:40 AM - Ohad Levy

- Assignee set to Ohad Levy

#4 - 05/23/2013 10:17 AM - Ohad Levy
https://github.com/theforeman/foreman/commit/8838eb42a2a292f50126966d3fa768edad3a237a


- Status changed from New to Closed

- % Done changed from 0 to 100

Applied in changeset 3b6d152746d63444ce0ae2044cec4cbb8f224882.
